const float BRIGHT_LEVEL = 255.0;

float GetPsxBrightLevel(float level)
{
	return ((255.0 + level) / 255.0);
}

vec3 PSXClut(vec3 frag)
{
	float r = floor((frag.r * 255.0) / 8.0);
	float g = floor((frag.g * 255.0) / 8.0) * 32.0;
	float b = floor((frag.b * 255.0) / 8.0) * 1024.0;
	frag.r = ((r * 8.0)) / 255.0;
    frag.g = ((g / 32.0) * 8.0) / 255.0;
    frag.b = ((b / 1024.0) * 8.0) / 255.0;
	return frag;
}

void main()
{
	vec3 frag = texture(InputTexture, TexCoord).rgb;
	
	float uPsxBrightLevel = GetPsxBrightLevel(BRIGHT_LEVEL);	
	frag.rgb *= uPsxBrightLevel;
	frag = PSXClut(frag);
	
	FragColor = vec4(frag, 1.0);
}